## pv bound

=== Makefile ===
all:	pv_bound

pv_bound: pv_bound.c
	g++ -Wall -O4 -o pv_bound pv_bound.c

clean:
	rm pv_bound

## pv 1.2.0-1maemo0

=== debian/changelog ===
pv (1.2.0-1maemo0) unstable; urgency=low

  * Initial maemo release

 -- Jake Millington <preflex@ragtaggroup.net>  Mon, 26 Nov 2012 13:25:00 -0700

pv (1.2.0-1) unstable; urgency=low

  * New upstream release. Closes: #609725.
  * debian/control:
    + Bumped Standards-Version to 3.9.1. No changes.
    + Bumped debhelper to version 7.
  * Changed debian/compat to 7.
  * Updated debian/copyright year to reflect changes in source.
  * Updated debian/watchfile.
  * Changed dh_clean -k to dh_prep in debian/rules.

 -- Kevin Coyner <kcoyner@debian.org>  Thu, 13 Jan 2011 13:34:27 +0000

pv (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Moved homepage from description to its new field.
    + Bumped Standards-Version to 3.7.3. No changes.
  * Revised debian/copyright to be machine-readable.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Mar 2008 10:48:17 -0400

pv (1.1.0-1) unstable; urgency=low

  * New upstream release. Closes: #415652.
    + new option --remote (-R) to control an already-running process
    + new option --line-mode (-l) to count lines instead of bytes

 -- Kevin Coyner <kcoyner@debian.org>  Fri, 31 Aug 2007 21:51:41 -0400

pv (0.9.9-4) unstable; urgency=low

  * New maintainer. Closes: #439164.
  * debian/control:
    + Bumped debhelper to version 5.
    + Added homepage.
  * debian/rules - changed invocation of distclean and removed some
    whitespace.
  * Bumped debian/compat to 5.

 -- Kevin Coyner <kcoyner@debian.org>  Thu, 23 Aug 2007 10:00:40 -0400

pv (0.9.9-3) unstable; urgency=low

  * Orphaned

 -- Cédric Delfosse <cedric@debian.org>  Wed, 22 Aug 2007 21:49:21 +0200

pv (0.9.9-2) unstable; urgency=low

  * Remove debian/pv.doc-base file in debian/rules clean target.
    This is needed so that dh_installdocs don't fill the postinst script with
    install-docs stuff, because upstream tarball contains a debian directory.
    (Closes: Bug#421394)

 -- Cédric Delfosse <cedric@debian.org>  Thu,  3 May 2007 20:52:06 +0200

pv (0.9.9-1) unstable; urgency=low

  * New upstream release
  * Remove texinfo and texi2html from Build-Depends and update debian/rules:
    upstream has dropped support for the Texinfo manual page and the HTML page

 -- Cédric Delfosse <cedric@debian.org>  Fri, 27 Apr 2007 23:17:00 +0200

pv (0.9.6-1) unstable; urgency=low

  * New upstream release (Closes: Bug#364469)

 -- Cédric Delfosse <cedric@debian.org>  Thu, 27 Apr 2006 21:54:25 +0200

pv (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Added ${misc:Depends} to Depends
  * Added doc-base to Suggests
  * echo 4 > debian/compat, and update debian/rules and Build-Depends
  * Remove not needed debian/dirs
  * Update Standards-Version to 3.6.2

 -- Cédric Delfosse <cedric@debian.org>  Sat,  9 Jul 2005 13:30:08 +0200

pv (0.9.0-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Mon, 22 Nov 2004 21:59:27 +0100

pv (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Fri,  9 Jul 2004 23:19:54 +0200

pv (0.8.5-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Mon,  3 May 2004 21:15:38 +0200

pv (0.8.2-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Tue, 27 Apr 2004 15:48:26 +0200

pv (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Sat, 24 Apr 2004 00:39:57 +0200

pv (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Sun, 15 Feb 2004 16:55:43 +0100

pv (0.6.3-2) unstable; urgency=low

  * Fix non ASCII character in man page (closes: Bug#219825)

 -- Cédric Delfosse <cedric@debian.org>  Sun,  4 Jan 2004 00:38:39 +0100

pv (0.6.3-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Sat,  3 Jan 2004 23:45:32 +0100

pv (0.6.2-2) unstable; urgency=low

  * Changed too long description in debian/control (closes: Bug#204323)

 -- Cédric Delfosse <cedric@debian.org>  Fri,  8 Aug 2003 18:41:02 +0200

pv (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Wed,  6 Aug 2003 09:19:56 +0200

pv (0.5.9-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.6.0

 -- Cédric Delfosse <cedric@debian.org>  Wed, 30 Jul 2003 22:17:51 +0200

pv (0.5.3-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Mon,  5 May 2003 20:58:08 +0200

pv (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Tue, 15 Apr 2003 22:26:08 +0200

pv (0.4.9-1) unstable; urgency=low

  * New upstream release
  * Large file support (closes: Bug#180986)
  * Added LDFLAGS in the ./configure line of debian/rules
  * Remove more files from doc/ for the clean target in debian/rules
  * Added texinfo to Build-Depends in debian/control
  * Modified long description so that it is 80 characters wide

 -- Cédric Delfosse <cedric@debian.org>  Wed, 19 Feb 2003 20:41:12 +0100

pv (0.4.5-1) unstable; urgency=low

  * New upstream release
  * Update to Debian Policy standards version 3.5.8

 -- Cédric Delfosse <cedric@debian.org>  Tue, 31 Dec 2002 17:05:36 +0100

pv (0.4.0-1) unstable; urgency=low

  * Initial Release. (closes: Bug#171622)

 -- Cédric Delfosse <cedric@debian.org>  Tue,  3 Dec 2002 21:50:20 +0100

=== debian/control ===
Source: pv
Section: user/utilities
Priority: optional
Maintainer: Jake Millington <preflex@ragtaggroup.net>
Build-Depends: debhelper7 (>=7)
Standards-Version: 3.9.1
Homepage: http://www.ivarch.com/programs/pv.shtml

Package: pv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: doc-base
Description: Shell pipeline element to meter data passing through
 pv (Pipe Viewer) can be inserted into any normal pipeline between two
 processes to give a visual indication of how quickly data is passing through,
 how long it has taken, how near to completion it is, and an estimate of how
 long it will be until completion.
 .
 To use it, insert it in a pipeline between two processes, with the
 appropriate options. Its standard input will be passed through to its
 standard output and progress will be shown on standard error.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# These lines needed for debhelper7
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE


CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" LDFLAGS="$(INSTALL_PROGRAM)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: build-stamp

build-stamp:  config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || make distclean
	-rm -f src/nls/*.mo
	-rm -f doc/manual.texi doc/manual.html doc/pv.info doc/quickref.txt doc/lsm doc/quickref.1 doc/pv.spec

	# autoconf/make contain *.mk~ files that are needed for the build
	dh_clean -Xmk~

	# Remove this file coming from upstream tarball
	rm -f debian/pv.doc-base

install: build
	dh_testdir
	dh_testroot
	dh_prep -Xmk~
	dh_installdirs

	# Add here commands to install the package into debian/pv.
	$(MAKE) install prefix=$(CURDIR)/debian/pv/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://googlecode.debian.net/p/pipeviewer/pv-(\d[\d.]*).tar.gz

## pv 1.5.3

=== debian/changelog ===
pv (1.5.3-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports, no change.

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 29 Jul 2014 16:37:44 -0400

pv (1.5.3-1) unstable; urgency=medium

  * New upstream release (Closes: #745820).
    * ships with splice(2) support (Closes: #601683).
    * should fix display beyond 1GB files (Closes: #586763).
  * Bump Standards-Version to 3.9.5, no change.
  * Take over maintainership, thanks to Kevin for all those years of
    dedicated work! (Closes: #752562).
  * Ship upstream NEWS file.
  * Use simpler dh9-style makefile, which gives us hardening, more
    warnings and runs the test suite.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 03 Jul 2014 17:27:29 -0400

## pv 1.5.7

=== debian/changelog ===
pv (1.5.7-2) unstable; urgency=medium

  * fix test suite on hurd, thanks Svante Signell (Closes: #766456)
  * use standard copyright file format
  * silence lintian warning about missing changelog.gz by making a symlink
  * factor in changes to the watchfile from sepwatch
  * bump policy compatibility, no change

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 23 Oct 2014 10:54:08 -0400

pv (1.5.7-1) unstable; urgency=medium

  * new upstream release:
    * show KiB instead of incorrect kiB (Closes: #706175)
    * work around "awk" bug in tests/016-numeric-timer in decimal ","
      locales, which removes a hack in debian/rules

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 26 Aug 2014 16:47:18 -0700

## pv 1.6.0

=== debian/changelog ===
pv (1.6.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Jun 2015 23:58:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: pv
-Section: user/utilities
+Section: utils
 Priority: optional
-Maintainer: Jake Millington <preflex@ragtaggroup.net>
-Build-Depends: debhelper7 (>=7)
-Standards-Version: 3.9.1
+Maintainer: Antoine Beaupré <anarcat@debian.org>
+Build-Depends: debhelper (>=9~)
+Standards-Version: 3.9.6
 Homepage: http://www.ivarch.com/programs/pv.shtml
+Vcs-Git: git://anonscm.debian.org/collab-maint/pv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pv.git;a=summary
 
 Package: pv
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS        ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@

# autoconf/make contain *.mk~ files that are needed for the build
override_dh_prep:
	dh_prep -Xmk~

override_dh_clean:
	dh_clean -Xmk~

# upstream tests fail with non-C locales
# Functions msgsnd, msgrcv, msgget, msgctl are not yet implemented on GNU/Hurd
override_dh_auto_test:
ifeq (hurd,$(DEB_HOST_ARCH_OS))
	mv tests/018-remote-format .
	mv tests/019-remote-cksum .
	dh_auto_test
	mv ./018-remote-format ./tests
	mv ./019-remote-cksum ./tests
else
	dh_auto_test
endif

## pv 1.6.6

=== debian/changelog ===
pv (1.6.6-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:06 +0100

pv (1.6.6-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:36 +0200

pv (1.6.6-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * new upstream release (Closes: #819503)
  * update to standards 4.0.0
  * switch to HTTPS for most URLs

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass triplet-prefixed ld to make. (Closes: #842978)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 20 Jul 2017 17:56:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pv
 Section: utils
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>=9~)
-Standards-Version: 3.9.6
-Homepage: http://www.ivarch.com/programs/pv.shtml
+Standards-Version: 4.0.0
+Homepage: https://www.ivarch.com/programs/pv.shtml
 Vcs-Git: git://anonscm.debian.org/collab-maint/pv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pv.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pv.git/
 
 Package: pv
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 DEB_HOST_ARCH_OS        ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+# see #842978
+DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
 	dh $@
@@ -11,6 +13,9 @@
 
 override_dh_clean:
 	dh_clean -Xmk~
+
+override_dh_auto_build:
+	dh_auto_build -- LD=$(DEB_HOST_GNU_TYPE)-ld
 
 # upstream tests fail with non-C locales
 # Functions msgsnd, msgrcv, msgget, msgctl are not yet implemented on GNU/Hurd

## pv 1.6.20

=== debian/changelog ===
pv (1.6.20-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Antoine Beaupré ]
  * new upstream release (Closes: #1009341)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 11 Apr 2022 20:55:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pv
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>=9~)
-Standards-Version: 4.0.0
+Maintainer: Antoine Beaupré <anarcat@debian.org>
+Build-Depends: debhelper (>=10~)
+Standards-Version: 4.6.0.1
 Homepage: https://www.ivarch.com/programs/pv.shtml
-Vcs-Git: git://anonscm.debian.org/collab-maint/pv.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pv.git/
+Vcs-Git: https://salsa.debian.org/debian/pv.git
+Vcs-Browser: https://salsa.debian.org/debian/pv
 
 Package: pv
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 %:
 	dh $@
+
+override_dh_installchangelogs:
+	dh_installchangelogs doc/NEWS
 
 # autoconf/make contain *.mk~ files that are needed for the build
 override_dh_prep:

## pv 1.7.24

=== debian/changelog ===
pv (1.7.24-1) unstable; urgency=medium

  * switch to non-overlay build
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 24 Jul 2023 13:11:14 -0400

pv (1.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #866747, #961370)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 17 Jul 2023 22:42:15 -0400

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
+Uploaders: Thomas Ward <teward@ubuntu.com>
 Build-Depends: debhelper (>=10~)
 Standards-Version: 4.6.0.1
 Homepage: https://www.ivarch.com/programs/pv.shtml

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/NEWS
+	dh_installchangelogs doc/NEWS.md
 
 # autoconf/make contain *.mk~ files that are needed for the build
 override_dh_prep:

## pv 1.8.5

=== debian/changelog ===
pv (1.8.5-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:31 +0200

pv (1.8.5-2) unstable; urgency=medium

  * Disable (failing) valgrind tests on armhf (Closes: #1059222)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Jan 2024 12:41:34 -0500

pv (1.8.5-1) unstable; urgency=medium

  * New upstream release, fixing race condition so tests can run in
    parallel again.

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 19 Nov 2023 22:31:25 -0500

pv (1.8.0-3) unstable; urgency=medium

  * depend on valgrind-if-available to fix ports (Closes: #1053395)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 03 Oct 2023 09:56:01 -0400

pv (1.8.0-2) unstable; urgency=medium

  * disable valgrind tests on failing arches (mips64el, armel, riscv64)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 30 Sep 2023 23:11:59 -0400

pv (1.8.0-1) unstable; urgency=medium

  * new upstream release
  * ditch all workarounds in build process, fixed upstream
  * upstream relicensed to GPL-3
  * add extra build-dependencies for new tests
  * update to dh 13, no change
  * remove outdated and incorrect README.source file

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 24 Sep 2023 23:09:48 -0400

## pv 1.8.10

=== debian/changelog ===
pv (1.8.10-1ubuntu1) oracular; urgency=medium

  * Remove track-fds usage with valgrind due to inherited file descriptors
    being reported as an error.  (LP: #2081210)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 19 Sep 2024 10:45:11 -0600

pv (1.8.10-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 18 Jun 2024 11:13:31 -0400

## pv 1.9.0

=== debian/changelog ===
pv (1.9.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Remove track-fds usage with valgrind due to inherited file descriptors
      being reported as an error.  (LP 2081210)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 18 Oct 2024 11:10:20 -0600

pv (1.9.0-1) unstable; urgency=medium

  * New upstream release. Highlights: end of transfer --stats, turn
    progress bar into a --gauge when size is unknown, --store-and-forward
    to use pv(1) like sponge(1), and lots of fixes

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Oct 2024 09:03:39 -0400

## pv 1.9.7

=== debian/changelog ===
pv (1.9.7-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Remove track-fds usage with valgrind due to inherited file descriptors
      being reported as an error (LP: #2081210).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Dec 2024 14:09:01 -0600

pv (1.9.7-1) unstable; urgency=medium

  * New upstream release. Highlight: -x to show progress in window title.

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 03 Dec 2024 10:52:06 -0500

## pv 1.9.31

=== debian/changelog ===
pv (1.9.31-1ubuntu2) questing; urgency=medium

  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Sep 2025 11:23:49 +0000

pv (1.9.31-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Remove track-fds usage with valgrind due to inherited file descriptors
      being reported as an error (LP: #2081210).
    - Disable LTO as it causes failures in the tests using valgrind (because
      more functions get inlined and the suppressions stop working).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 18:39:53 -0600

pv (1.9.31-1) unstable; urgency=medium

  * New upstream release, hopefully fixing FTBFS (#1092736)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 30 Jan 2025 20:55:46 -0500

pv (1.9.25-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 22 Dec 2024 22:54:23 -0500

pv (1.9.15-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 10 Dec 2024 23:02:44 -0500

pv (1.9.7-1ubuntu2) plucky; urgency=medium

  * Disable LTO as it causes failures in the tests using valgrind (because
    more functions get inlined and the suppressions stop working).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 29 Jan 2025 14:29:45 +1300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: pv
 Section: utils
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
 Uploaders: Thomas Ward <teward@ubuntu.com>
-Build-Depends: debhelper (>=10~)
+Build-Depends:
+  debhelper-compat (=13)
+  , tmux
+  , valgrind-if-available [!mips64el !armhf]
 Standards-Version: 4.6.0.1
 Homepage: https://www.ivarch.com/programs/pv.shtml
 Vcs-Git: https://salsa.debian.org/debian/pv.git

## pv 1.9.44

=== debian/changelog ===
pv (1.9.44-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 20 Oct 2025 16:33:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pv
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Antoine Beaupré <anarcat@debian.org>
 Uploaders: Thomas Ward <teward@ubuntu.com>
 Build-Depends:
   debhelper-compat (=13)

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.txt/" \
https://www.ivarch.com/programs/pv.shtml \
(?:|.*/)pv(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pv 1.10.0

=== debian/changelog ===
pv (1.10.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 10 Nov 2025 11:34:06 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# fix lintian warning
override_dh_auto_install:
	dh_auto_install --destdir=debian/pv/
	rm debian/pv/usr/share/doc/pv/INSTALL

## pv 1.10.1

=== debian/changelog ===
pv (1.10.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 17 Nov 2025 11:44:35 -0500

## pv 1.10.2

=== debian/changelog ===
pv (1.10.2-1) unstable; urgency=medium

  * new upstream release (Closes: #1121157)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 24 Nov 2025 16:25:20 -0500

## pv 1.10.3

=== debian/changelog ===
pv (1.10.3-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 05 Jan 2026 13:39:25 -0500
